﻿@{
	ViewBag.Title = "Home Page";
	//Layout = "MyLayout.cshtml";
}



<div class="row">
	<div class="col-md-6 margin-top-20">
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-circle-arrow-down"></span>  Withdrawal
		</a>
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-flash"></span>  Quick Cash $100
		</a>
		<a href="@Url.Action("Details","CheckingAccount",new { checkingAccountId = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-question-sign"></span>  Balance Inquiry
		</a>
	</div>
	<div class="col-md-6 margin-top-20">
		<a href="@Url.Action("Statement","CheckingAccount", new { id = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-print"></span>  Print Statement
		</a>
		<a href="#" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-transfer"></span>  Transfer Funds
		</a>
		<a href="@Url.Action("Deposit","Transfer",new { checkingAccountId = ViewBag.CheckingAccountId })" class="btn btn-primary btn-large btn-block">
			<span class="glyphicon glyphicon-circle-arrow-up"></span>  Deposit
		</a>
	</div>
</div>

@ViewBag.Pin

<div class="margin-top-20">
	You are using <b> @Request.Browser.Browser </b> at this moment<br />

	Send me an email to pgruba@interia.pl<br />

	Or just write to me on tweeter @@myTweeterAccount
</div>

@*@{  var amounts = new List<decimal> { 100, 25.50m, -40, 275.99m };}

	<ul>
		@foreach (decimal value in amounts)
		{
			<li>@formatAmount(value)</li>
			<text>plain text</text>
			@:plain text
		}
	</ul>

	@helper formatAmount(decimal amount)
	{
	var color = "green";
	if (amount < 0)
	{
		color = "red";
	}
		<span style="color:@color">@String.Format("{0:c}", amount)</span>
	}*@


@section scripts {
	<script> var testing = true;</script>
}